/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import {connect, getIn} from 'formik';
import React from 'react';

const CFErrorMessage = props => {
	const error = getIn(props.formik.errors, props.name);
	const touch = getIn(props.formik.touched, props.name);

	const errorDOM = (
		<div className="form-feedback-group">
			<div className="form-feedback-item">{error}</div>
		</div>
	);

	return touch && error ? errorDOM : null;
};

export default connect(CFErrorMessage);
