/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import React, {createContext, useContext, useReducer} from 'react';

const Context = createContext();

export function AppStateProvider({reducer, initialState = {}, children}) {
	const value = useReducer(reducer, initialState);

	return <Context.Provider value={value}>{children}</Context.Provider>;
}

export function useAppState() {
	return useContext(Context);
}
